package com.qr.database.common;

/**
 * redis前缀类型
 *
 * @author GuoFeng Tang
 * @version V1.0
 */
public enum RedisType {

    TOKEN("t"),
    TOKEN_REFRESH("tr"),
    FUNCTION("fn");

    private String type;

    RedisType(String type) {
        this.type = type;
    }

    public String value() {
        return this.type;
    }

    public static String getType(String name) {
        for (RedisType item : RedisType.values()) {
            if (item.name().equals(name)) {
                return item.type;
            }
        }
        return name;
    }

    @Override
    public String toString() {
        return this.name();
    }

}
