package com.qr.database.common;

/**
 * token类型
 *
 * @author GuoFeng Tang
 */
public enum TokenType {

    WEB(1, "WEB前台"),
    ADMIN(2, "后台管理");

    private Integer type;
    private String info;

    TokenType(Integer type, String info) {
        this.type = type;
        this.info = info;
    }

    public Integer value() {
        return this.type;
    }

    public static Integer getType(String name) {
        for (TokenType item : TokenType.values()) {
            if (item.name().equals(name)) {
                return item.type;
            }
        }
        return null;
    }

    public static String getInfo(String name) {
        for (TokenType item : TokenType.values()) {
            if (item.name().equals(name)) {
                return item.info;
            }
        }
        return name;
    }

    @Override
    public String toString() {
        return this.name();
    }

}
