package com.qr.database.controller;

import com.qr.database.tips.ReturnResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.DependsOn;
import org.springframework.stereotype.Controller;

import javax.websocket.*;
import javax.websocket.server.PathParam;
import javax.websocket.server.ServerEndpoint;
import java.io.IOException;
import java.util.concurrent.CopyOnWriteArraySet;

//@DependsOn("springContextHolder")
//@ServerEndpoint(value = "/qr/web/{token}")
//@Controller
public class WebController {

    private static Logger log = LoggerFactory.getLogger(WebController.class);
    private static CopyOnWriteArraySet<WebController> webSocketSet = new CopyOnWriteArraySet<WebController>();

    private Session session;

    @OnOpen
    public void onOpen(Session session, @PathParam("token") String token) throws Exception {
        this.session = session;
        webSocketSet.add(this);
        try {
            sendMessage(ReturnResult.SUCCESS_MSG);
        } catch (IOException e) {
            log.error(e.getMessage(), e);
        }
    }

    @OnClose
    public void onClose(Session session, @PathParam("token") String token) throws Exception {
        webSocketSet.remove(this);
    }

    @OnMessage
    public void onMessage(String message, Session session) throws IOException, EncodeException {
//        session.getBasicRemote().sendObject(ReturnResult.success());
//        log.warn(message);
//        ConcurrentHashMap<String, Session> all = webService.all();
//        for (Map.Entry<String, Session> map:all.entrySet()) {
//            sendMessage(map.getValue(), ReturnResult.success(message));
//        }
    }

    @OnError
    public void onError(Session session, Throwable error) {
        webSocketSet.remove(this);
    }

    private void sendMessage(String obj) throws IOException {
        this.session.getBasicRemote().sendText(obj);
    }

}
