package com.qr.database.controller.common;

import com.qr.database.config.properties.GlobalProperties;
import com.qr.database.tips.ReturnResult;
import com.qr.database.utils.FileUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.File;

@Controller
@RequestMapping("/qr/file")
public class FileController {

    private static Logger log = LoggerFactory.getLogger(FileController.class);

    @RequestMapping("/upload")
    @ResponseBody
    public ReturnResult upload(@RequestPart(value = "file", required = false) MultipartFile picture) {
        System.out.println(1111);
        return ReturnResult.success();
    }

    @RequestMapping({"/{pictureId:.+}", "/{dir}/{pictureId:.+}","/{dir}/{subdir}/{pictureId:.+}"})
    public void renderPicture(@PathVariable("pictureId") String pictureId, @PathVariable(name="dir",required=false) String dir, @PathVariable(name="subdir",required=false) String subdir, HttpServletResponse response) {
        String path = GlobalProperties.getFileUploadPath() + (dir==null?"":dir + File.separator) + (subdir == null?"":subdir+File.separator) + pictureId;
        try {
            byte[] bytes = FileUtil.toByteArray(path);
            response.setHeader("Content-Disposition", "attachment;filename=" + new String(pictureId.getBytes(), "iso-8859-1"));
            response.getOutputStream().write(bytes);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }
}
