package com.qr.database.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 二维码数据库审签流程表
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
@TableName("QR_FLOW")
public class Flow extends Model<Flow> {

    private static final long serialVersionUID = 1L;

    /**
     * 流程id
     */
    @TableId("FLOW_ID")
    private Long flowId;
    /**
     * 流程名称
     */
    @TableField("FLOW_NAME")
    private String flowName;
    /**
     * 状态 0：正常 1：删除
     */
    @TableField("STATUS")
    private Integer status;
    /**
     * 创建者用户id
     */
    @TableField("CREATOR_ID")
    private Long creatorId;
    /**
     * 企业id
     */
    @TableField("COMPANY_ID")
    private Long companyId;
    /**
     * 修改者用户id
     */
    @TableField("MODIFIER_ID")
    private Long modifierId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;
    /**
     * 审批内容  1：盖章  2：签字
     */
    @TableField(exist = false)
    private Integer approvalType;
    /**
     * 审批人id
     */
    @TableField(exist = false)
    private Long userId;
    /**
     * 节点名称
     */
    @TableField(exist = false)
    private String nodeName;
    /**
     * 昵称
     */
    @TableField(exist = false)
    private String nickname;

    public Integer getApprovalType() {
        return approvalType;
    }

    public void setApprovalType(Integer approvalType) {
        this.approvalType = approvalType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getFlowName() {
        return flowName;
    }

    public void setFlowName(String flowName) {
        this.flowName = flowName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getModifierId() {
        return modifierId;
    }

    public void setModifierId(Long modifierId) {
        this.modifierId = modifierId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.flowId;
    }

    @Override
    public String toString() {
        return "Flow{" +
                "flowId=" + flowId +
                ", flowName='" + flowName + '\'' +
                ", status=" + status +
                ", creatorId=" + creatorId +
                ", companyId=" + companyId +
                ", modifierId=" + modifierId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", approvalType=" + approvalType +
                ", userId=" + userId +
                ", nodeName='" + nodeName + '\'' +
                ", nickname='" + nickname + '\'' +
                '}';
    }
}
