package com.qr.database.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 二维码数据库流程节点表
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
@TableName("QR_FLOW_NODE")
public class FlowNode extends Model<FlowNode> {

    private static final long serialVersionUID = 1L;

    /**
     * 节点id
     */
    @TableField("NODE_ID")
    private Long nodeId;
    /**
     * 流程id
     */
    @TableField("FLOW_ID")
    private Long flowId;
    /**
     * 节点名称
     */
    @TableField("NODE_NAME")
    private String nodeName;
    /**
     * 节点序号
     */
    @TableField("NODE_ORDER")
    private Integer nodeOrder;
    /**
     * 创建者用户id
     */
    @TableField("CREATOR_ID")
    private Long creatorId;
    /**
     * 修改者用户id
     */
    @TableField("MODIFIER_ID")
    private Long modifierId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;


    public Long getNodeId() {
        return nodeId;
    }

    public void setNodeId(Long nodeId) {
        this.nodeId = nodeId;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Integer getNodeOrder() {
        return nodeOrder;
    }

    public void setNodeOrder(Integer nodeOrder) {
        this.nodeOrder = nodeOrder;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getModifierId() {
        return modifierId;
    }

    public void setModifierId(Long modifierId) {
        this.modifierId = modifierId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.nodeId;
    }

    @Override
    public String toString() {
        return "FlowNode{" +
        "nodeId=" + nodeId +
        ", flowId=" + flowId +
        ", nodeName=" + nodeName +
        ", nodeOrder=" + nodeOrder +
        ", creatorId=" + creatorId +
        ", modifierId=" + modifierId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
