package com.qr.database.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 节点审批人表
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
@TableName("QR_NODE_USER")
public class NodeUser extends Model<NodeUser> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableField("ID")
    private Long id;
    /**
     * 节点id
     */
    @TableField("NODE_ID")
    private Long nodeId;
    /**
     * 审批人id
     */
    @TableField("USER_ID")
    private Long userId;
    /**
     * 审批内容  1：盖章  2：签字
     */
    @TableField("APPROVAL_TYPE")
    private Integer approvalType;
    /**
     * 审批人序号
     */
    @TableField("USER_ORDER")
    private Integer userOrder;
    /**
     * 创建者用户id
     */
    @TableField("CREATOR_ID")
    private Long creatorId;
    /**
     * 修改者用户id
     */
    @TableField("MODIFIER_ID")
    private Long modifierId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getNodeId() {
        return nodeId;
    }

    public void setNodeId(Long nodeId) {
        this.nodeId = nodeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getApprovalType() {
        return approvalType;
    }

    public void setApprovalType(Integer approvalType) {
        this.approvalType = approvalType;
    }

    public Integer getUserOrder() {
        return userOrder;
    }

    public void setUserOrder(Integer userOrder) {
        this.userOrder = userOrder;
    }

    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }

    public Long getModifierId() {
        return modifierId;
    }

    public void setModifierId(Long modifierId) {
        this.modifierId = modifierId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "NodeUser{" +
        "id=" + id +
        ", nodeId=" + nodeId +
        ", userId=" + userId +
        ", approvalType=" + approvalType +
        ", userOrder=" + userOrder +
        ", creatorId=" + creatorId +
        ", modifierId=" + modifierId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
