package com.qr.database.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
@TableName("QR_PRODUCT")
@KeySequence("QR_PRODUCT_SEQ")
public class Product extends Model<Product> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 批次标记
     */
    @Excel(name = "批次标记")
    @TableField("BATCH_MARKING")
    private String batchMarking;
    /**
     * 批号
     */
    @Excel(name = "批号")
    @TableField("BATCH_NO")
    private String batchNo;
    /**
     * 单位标记
     */
    @TableField("FLAG")
    private String flag;
    /**
     * 序号
     */
    @TableField("NO")
    private String no;
    /**
     * 投产批量
     */
    @Excel(name = "投产批量")
    @TableField("PRODUCTION_AMOUNT")
    private Long productionAmount;
    /**
     * 本次发货数量
     */
    @Excel(name = "本次发货数量")
    @TableField("SHIPMENTS_AMOUNT")
    private Long shipmentsAmount;
    /**
     * 二维码
     */
    @TableField("QR_DATA")
    private String qrData;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;
    /**
     * 鉴定报告
     */
    @TableField("SURVEY_REPORT")
    private String surveyReport;
    @TableField("SURVEY_REPORT_TIME")
    private Date surveyReportTime;
    @TableField("SURVEY_REPORT_USER_ID")
    private Long surveyReportUserId;
    /**
     * 上传人姓名
     */
    @TableField(exist = false)
    private String surveyReportUserName;
    /**
     * 鉴定报告上传人部门
     */
    @TableField(exist = false)
    private String surveyReportUserDep;
    /**
     * 出厂报告
     */
    @TableField("OUTGOING_REPORT")
    private String outgoingReport;
    @TableField("OUTGOING_REPORT_TIME")
    private Date outgoingReportTime;
    @TableField("OUTGOING_REPORT_USER_ID")
    private Long outgoingReportUserId;
    @TableField(exist = false)
    private String outgoingReportName;
    @TableField(exist = false)
    private String outgoingReportDep;
    /**
     * 第三方尺寸复验报告
     */
    @TableField("THIRDPARTY_SIZE_REPORT")
    private String thirdpartySizeReport;
    @TableField("THIRDPARTY_SIZE_REPORT_TIME")
    private Date thirdpartySizeReportTime;
    @TableField("THIRDPARTY_SIZE_REPORT_USER_ID")
    private Long thirdpartySizeReportUserId;
    @TableField(exist = false)
    private String thirdpartySizeReportName;
    @TableField(exist = false)
    private String thirdpartySizeReportDep;
    /**
     * 第三方性能报告
     */
    @TableField("THIRDPARTY_PER_REPORT")
    private String thirdpartyPerReport;
    @TableField("THIRDPARTY_PER_REPORT_TIME")
    private Date thirdpartyPerReportTime;
    @TableField("THIRDPARTY_PER_REPORT_USER_ID")
    private Long thirdpartyPerReportUserId;
    @TableField(exist = false)
    private String thirdpartyPerReportName;
    @TableField(exist = false)
    private String thirdpartyPerReportDep;
    /**
     * 入厂尺寸复验报告
     */
    @TableField("INTO_SIZE_REPORT")
    private String intoSizeReport;
    @TableField("INTO_SIZE_REPORT_TIME")
    private Date intoSizeReportTime;
    @TableField("INTO_SIZE_REPORT_USER_ID")
    private Long intoSizeReportUserId;
    @TableField(exist = false)
    private String intoSizeReportName;
    @TableField(exist = false)
    private String intoSizeReportDep;
    /**
     * 入厂性能复验报告
     */
    @TableField("INTO_PER_REPORT")
    private String intoPerReport;
    @TableField("INTO_PER_REPORT_TIME")
    private Date intoPerReportTime;
    @TableField("INTO_PER_REPORT_USER_ID")
    private Long intoPerReportUserId;
    @TableField(exist = false)
    private String intoPerReportName;
    @TableField(exist = false)
    private String intoPerReportDep;
    /**
     * 合格证
     */
    @TableField("CERTIFICATION")
    private String certification;
    @TableField("CERTIFICATION_TIME")
    private Date certificationTime;
    @TableField("CERTIFICATION_USER_ID")
    private Long certificationUserId;
    @TableField(exist = false)
    private String certificationName;
    @TableField(exist = false)
    private String certificationDep;
    /**
     * 子合格证
     */
    @TableField("SUB_CERTIFICATION")
    private String subCertification;
    @TableField("SUB_CERTIFICATION_TIME")
    private Date subCertificationTime;
    @TableField("SUB_CERTIFICATION_USER_ID")
    private Long subCertificationUserId;
    @TableField(exist = false)
    private String subCertificationName;
    @TableField(exist = false)
    private String subCertificationDep;
    /**
     * 企业ID
     */
    @TableField("COMPANY_ID")
    private Long companyId;
    /**
     * 集团物品码
     */
    @Excel(name = "集团物品码")
    @TableField(exist = false)
    private String groupItemCode;
    /**
     * 物品名称
     */
    @Excel(name = "物品名称")
    @TableField(exist = false)
    private String name;
    /**
     * 材料
     */
    @Excel(name = "材料")
    @TableField(exist = false)
    private String materials;
    /**
     * 表面处理
     */
    @Excel(name = "表面处理")
    @TableField(exist = false)
    private String finish;
    /**
     * 标准号
     */
    @Excel(name = "标准号")
    @TableField(exist = false)
    private String standardNumber;
    /**
     * 年代
     */
    @Excel(name = "年代")
    @TableField(exist = false)
    private String year;
    /**
     * 1=正常，2=删除
     */
    @TableField("STATUS")
    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSubCertification() {
        return subCertification;
    }

    public void setSubCertification(String subCertification) {
        this.subCertification = subCertification;
    }

    public Date getSubCertificationTime() {
        return subCertificationTime;
    }

    public void setSubCertificationTime(Date subCertificationTime) {
        this.subCertificationTime = subCertificationTime;
    }

    public Long getSubCertificationUserId() {
        return subCertificationUserId;
    }

    public void setSubCertificationUserId(Long subCertificationUserId) {
        this.subCertificationUserId = subCertificationUserId;
    }

    public String getSubCertificationName() {
        return subCertificationName;
    }

    public void setSubCertificationName(String subCertificationName) {
        this.subCertificationName = subCertificationName;
    }

    public String getSubCertificationDep() {
        return subCertificationDep;
    }

    public void setSubCertificationDep(String subCertificationDep) {
        this.subCertificationDep = subCertificationDep;
    }

    public String getSurveyReportUserName() {
        return surveyReportUserName;
    }

    public void setSurveyReportUserName(String surveyReportUserName) {
        this.surveyReportUserName = surveyReportUserName;
    }

    public String getSurveyReportUserDep() {
        return surveyReportUserDep;
    }

    public void setSurveyReportUserDep(String surveyReportUserDep) {
        this.surveyReportUserDep = surveyReportUserDep;
    }

    public String getOutgoingReportName() {
        return outgoingReportName;
    }

    public void setOutgoingReportName(String outgoingReportName) {
        this.outgoingReportName = outgoingReportName;
    }

    public String getOutgoingReportDep() {
        return outgoingReportDep;
    }

    public void setOutgoingReportDep(String outgoingReportDep) {
        this.outgoingReportDep = outgoingReportDep;
    }

    public String getThirdpartySizeReportName() {
        return thirdpartySizeReportName;
    }

    public void setThirdpartySizeReportName(String thirdpartySizeReportName) {
        this.thirdpartySizeReportName = thirdpartySizeReportName;
    }

    public String getThirdpartySizeReportDep() {
        return thirdpartySizeReportDep;
    }

    public void setThirdpartySizeReportDep(String thirdpartySizeReportDep) {
        this.thirdpartySizeReportDep = thirdpartySizeReportDep;
    }

    public String getThirdpartyPerReportName() {
        return thirdpartyPerReportName;
    }

    public void setThirdpartyPerReportName(String thirdpartyPerReportName) {
        this.thirdpartyPerReportName = thirdpartyPerReportName;
    }

    public String getThirdpartyPerReportDep() {
        return thirdpartyPerReportDep;
    }

    public void setThirdpartyPerReportDep(String thirdpartyPerReportDep) {
        this.thirdpartyPerReportDep = thirdpartyPerReportDep;
    }

    public String getIntoSizeReportName() {
        return intoSizeReportName;
    }

    public void setIntoSizeReportName(String intoSizeReportName) {
        this.intoSizeReportName = intoSizeReportName;
    }

    public String getIntoSizeReportDep() {
        return intoSizeReportDep;
    }

    public void setIntoSizeReportDep(String intoSizeReportDep) {
        this.intoSizeReportDep = intoSizeReportDep;
    }

    public String getIntoPerReportName() {
        return intoPerReportName;
    }

    public void setIntoPerReportName(String intoPerReportName) {
        this.intoPerReportName = intoPerReportName;
    }

    public String getIntoPerReportDep() {
        return intoPerReportDep;
    }

    public void setIntoPerReportDep(String intoPerReportDep) {
        this.intoPerReportDep = intoPerReportDep;
    }

    public String getCertificationName() {
        return certificationName;
    }

    public void setCertificationName(String certificationName) {
        this.certificationName = certificationName;
    }

    public String getCertificationDep() {
        return certificationDep;
    }

    public void setCertificationDep(String certificationDep) {
        this.certificationDep = certificationDep;
    }

    public String getGroupItemCode() {
        return groupItemCode;
    }

    public void setGroupItemCode(String groupItemCode) {
        this.groupItemCode = groupItemCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMaterials() {
        return materials;
    }

    public void setMaterials(String materials) {
        this.materials = materials;
    }

    public String getFinish() {
        return finish;
    }

    public void setFinish(String finish) {
        this.finish = finish;
    }

    public String getStandardNumber() {
        return standardNumber;
    }

    public void setStandardNumber(String standardNumber) {
        this.standardNumber = standardNumber;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Date getSurveyReportTime() {
        return surveyReportTime;
    }

    public void setSurveyReportTime(Date surveyReportTime) {
        this.surveyReportTime = surveyReportTime;
    }

    public Long getSurveyReportUserId() {
        return surveyReportUserId;
    }

    public void setSurveyReportUserId(Long surveyReportUserId) {
        this.surveyReportUserId = surveyReportUserId;
    }

    public Date getOutgoingReportTime() {
        return outgoingReportTime;
    }

    public void setOutgoingReportTime(Date outgoingReportTime) {
        this.outgoingReportTime = outgoingReportTime;
    }

    public Date getThirdpartySizeReportTime() {
        return thirdpartySizeReportTime;
    }

    public void setThirdpartySizeReportTime(Date thirdpartySizeReportTime) {
        this.thirdpartySizeReportTime = thirdpartySizeReportTime;
    }

    public Date getThirdpartyPerReportTime() {
        return thirdpartyPerReportTime;
    }

    public void setThirdpartyPerReportTime(Date thirdpartyPerReportTime) {
        this.thirdpartyPerReportTime = thirdpartyPerReportTime;
    }

    public Date getIntoSizeReportTime() {
        return intoSizeReportTime;
    }

    public void setIntoSizeReportTime(Date intoSizeReportTime) {
        this.intoSizeReportTime = intoSizeReportTime;
    }

    public Date getIntoPerReportTime() {
        return intoPerReportTime;
    }

    public void setIntoPerReportTime(Date intoPerReportTime) {
        this.intoPerReportTime = intoPerReportTime;
    }

    public Date getCertificationTime() {
        return certificationTime;
    }

    public void setCertificationTime(Date certificationTime) {
        this.certificationTime = certificationTime;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getSurveyReport() {
        return surveyReport;
    }

    public void setSurveyReport(String surveyReport) {
        this.surveyReport = surveyReport;
    }

    public String getOutgoingReport() {
        return outgoingReport;
    }

    public void setOutgoingReport(String outgoingReport) {
        this.outgoingReport = outgoingReport;
    }

    public String getThirdpartySizeReport() {
        return thirdpartySizeReport;
    }

    public void setThirdpartySizeReport(String thirdpartySizeReport) {
        this.thirdpartySizeReport = thirdpartySizeReport;
    }

    public String getThirdpartyPerReport() {
        return thirdpartyPerReport;
    }

    public void setThirdpartyPerReport(String thirdpartyPerReport) {
        this.thirdpartyPerReport = thirdpartyPerReport;
    }

    public String getIntoSizeReport() {
        return intoSizeReport;
    }

    public void setIntoSizeReport(String intoSizeReport) {
        this.intoSizeReport = intoSizeReport;
    }

    public String getIntoPerReport() {
        return intoPerReport;
    }

    public void setIntoPerReport(String intoPerReport) {
        this.intoPerReport = intoPerReport;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBatchMarking() {
        return batchMarking;
    }

    public void setBatchMarking(String batchMarking) {
        this.batchMarking = batchMarking;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Long getProductionAmount() {
        return productionAmount;
    }

    public void setProductionAmount(Long productionAmount) {
        this.productionAmount = productionAmount;
    }

    public Long getShipmentsAmount() {
        return shipmentsAmount;
    }

    public void setShipmentsAmount(Long shipmentsAmount) {
        this.shipmentsAmount = shipmentsAmount;
    }

    public String getQrData() {
        return qrData;
    }

    public void setQrData(String qrData) {
        this.qrData = qrData;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getOutgoingReportUserId() {
        return outgoingReportUserId;
    }

    public void setOutgoingReportUserId(Long outgoingReportUserId) {
        this.outgoingReportUserId = outgoingReportUserId;
    }

    public Long getThirdpartySizeReportUserId() {
        return thirdpartySizeReportUserId;
    }

    public void setThirdpartySizeReportUserId(Long thirdpartySizeReportUserId) {
        this.thirdpartySizeReportUserId = thirdpartySizeReportUserId;
    }

    public Long getThirdpartyPerReportUserId() {
        return thirdpartyPerReportUserId;
    }

    public void setThirdpartyPerReportUserId(Long thirdpartyPerReportUserId) {
        this.thirdpartyPerReportUserId = thirdpartyPerReportUserId;
    }

    public Long getIntoSizeReportUserId() {
        return intoSizeReportUserId;
    }

    public void setIntoSizeReportUserId(Long intoSizeReportUserId) {
        this.intoSizeReportUserId = intoSizeReportUserId;
    }

    public Long getIntoPerReportUserId() {
        return intoPerReportUserId;
    }

    public void setIntoPerReportUserId(Long intoPerReportUserId) {
        this.intoPerReportUserId = intoPerReportUserId;
    }

    public Long getCertificationUserId() {
        return certificationUserId;
    }

    public void setCertificationUserId(Long certificationUserId) {
        this.certificationUserId = certificationUserId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Product{" +
        "id=" + id +
        ", batchMarking=" + batchMarking +
        ", batchNo=" + batchNo +
        ", flag=" + flag +
        ", no=" + no +
        ", productionAmount=" + productionAmount +
        ", shipmentsAmount=" + shipmentsAmount +
        ", qrData=" + qrData +
        ", createTime=" + createTime +
        "}";
    }
}
