package com.qr.database.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 审签
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
@TableName("QR_SHENQIAN")
@KeySequence("QR_SHENQIAN_SEQ")
public class Shenqian extends Model<Shenqian> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 产品ID
     */
    @TableField("PRODUCT_ID")
    private Long productId;
    /**
     * 流程ID
     */
    @TableField("FLOW_ID")
    private Long flowId;
    /**
     * 审签单号
     */
    @TableField("ORDER_ID")
    private String orderId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 1=审签中，2=驳回。3=异常，4=完成
     */
    @TableField("STATUS")
    private Integer status;
    /**
     * 审签步骤ID
     */
    @TableField("STEP")
    private Long step;
    /**
     * 用户id
     */
    @TableField("USER_ID")
    private Long userId;
    /**
     * 企业id
     */
    @TableField("COMPANY_ID")
    private Long companyId;
    @TableField("DOC_PATH")
    private String docPath;
    /**
     * 审签人ID
     */
    @TableField("APPROVAL_USER_ID")
    private Long approvalUserId;
    /**
     * 1=正常，2=删除
     */
    @TableField("FLAG")
    private Integer flag;
    /**
     * 批次标记
     */
    @TableField(exist = false)
    private String batchMarking;
    /**
     * 物品名称
     */
    @TableField(exist = false)
    private String name;
    /**
     * 标准号
     */
    @TableField(exist = false)
    private String standardNumber;
    /**
     * 集团物品码
     */
    @TableField(exist = false)
    private String groupItemCode;
    /**
     * 生产单位
     */
    @TableField(exist = false)
    private String unit;
    /**
     * 节点名称
     */
    @TableField(exist = false)
    private String nodeName;

    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreateTime;

    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreateTime;

    @TableField(exist = false)
    private String createTimeRange;

    /**
     * 产品类型
     * 1全部</
     * 2紧固件<
     * 3管内径<
     * 4电线电缆
     * 5电连接器
     * 6金属材料
     * 7锻、铸件
     */
    @TableField(exist = false)
    private Integer productType;
    /**
     * 审批人姓名
     */
    @TableField(exist = false)
    private String approvalUserName;

    @TableField(exist = false)
    private List<ShenqianLog> ShenqianLogList;

    public List<ShenqianLog> getShenqianLogList() {
        return ShenqianLogList;
    }

    public void setShenqianLogList(List<ShenqianLog> shenqianLogList) {
        ShenqianLogList = shenqianLogList;
    }

    public String getCreateTimeRange() {
        return createTimeRange;
    }

    public void setCreateTimeRange(String createTimeRange) {
        this.createTimeRange = createTimeRange;
    }

    public String getApprovalUserName() {
        return approvalUserName;
    }

    public void setApprovalUserName(String approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    public String getBatchMarking() {
        return batchMarking;
    }

    public void setBatchMarking(String batchMarking) {
        this.batchMarking = batchMarking;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStandardNumber() {
        return standardNumber;
    }

    public void setStandardNumber(String standardNumber) {
        this.standardNumber = standardNumber;
    }

    public String getGroupItemCode() {
        return groupItemCode;
    }

    public void setGroupItemCode(String groupItemCode) {
        this.groupItemCode = groupItemCode;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Date getStartCreateTime() {
        return startCreateTime;
    }

    public void setStartCreateTime(Date startCreateTime) {
        this.startCreateTime = startCreateTime;
    }

    public Date getEndCreateTime() {
        return endCreateTime;
    }

    public void setEndCreateTime(Date endCreateTime) {
        this.endCreateTime = endCreateTime;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Integer getFlag() {
        return flag;
    }

    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getStep() {
        return step;
    }

    public void setStep(Long step) {
        this.step = step;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getDocPath() {
        return docPath;
    }

    public void setDocPath(String docPath) {
        this.docPath = docPath;
    }

    public Long getApprovalUserId() {
        return approvalUserId;
    }

    public void setApprovalUserId(Long approvalUserId) {
        this.approvalUserId = approvalUserId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Shenqian{" +
        "id=" + id +
        ", productId=" + productId +
        ", flowId=" + flowId +
        ", orderId=" + orderId +
        ", createTime=" + createTime +
        ", status=" + status +
        ", step=" + step +
        ", userId=" + userId +
        ", companyId=" + companyId +
        ", docPath=" + docPath +
        ", approvalUserId=" + approvalUserId +
        "}";
    }
}
