package com.qr.database.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
@TableName("QR_STANDARD")
@KeySequence("QR_STANDARD_SEQ")
public class Standard extends Model<Standard> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    /**
     * 集团物品码
     */
    @Excel(name = "集团物品码")
    @TableField("GROUP_ITEM_CODE")
    private String groupItemCode;
    /**
     * 批次标记
     */
    @Excel(name = "图号")
    @TableField("BATCH_MARKING")
    private String batchMarking;
    /**
     * 年代
     */
    @Excel(name = "年代")
    @TableField("YEAR")
    private String year;
    /**
     * 物品名称
     */
    @Excel(name = "物品名称")
    @TableField("NAME")
    private String name;
    /**
     * 标准号
     */
    @Excel(name = "标准号")
    @TableField("STANDARD_NUMBER")
    private String standardNumber;
    /**
     * 规格
     */
    @Excel(name = "规格")
    @TableField("SPECIFICATION")
    private String specification;
    /**
     * 表面处理
     */
    @Excel(name = "表面处理")
    @TableField("FINISH")
    private String finish;
    /**
     * 材料
     */
    @Excel(name = "材料")
    @TableField("MATERIALS")
    private String materials;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 二维码
     */
    @TableField("QR_DATA")
    private String qrData;
    /**
     * 企业ID
     */
    @TableField("COMPANY_ID")
    private Long companyId;
    /**
     * 生产单位
     */
    @TableField(exist = false)
    private String unit;

    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreateTime;

    @TableField(exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreateTime;
    /**
     * 1=鉴定报告,2=出厂报告,3=第三方尺寸复验报告,4=第三方性能报告,5=入厂尺寸复验报告,6=入厂性能复验报告,7=合格证
     */
    @TableField(exist = false)
    private Integer fileType;
    /**
     * 1=完整，2=不完整
     */
    @TableField(exist = false)
    private Integer isFull;
    /**
     * 1=产品，2=标准
     */
    @TableField(exist = false)
    private Integer isStandard;

    @TableField(exist = false)
    private String createTimeRange;
    /**
     * 产品类型
     * 1全部</
     * 2紧固件<
     * 3管内径<
     * 4电线电缆
     * 5电连接器
     * 6金属材料
     * 7锻、铸件
     */
    @TableField(exist = false)
    private Integer productType;
    /**
     * 批号
     */
    @TableField(exist = false)
    private String batchNo;
    /**
     * 投产批量
     */
    @TableField(exist = false)
    private Long productionAmount;
    /**
     * 本次发货数量
     */
    @TableField(exist = false)
    private Long shipmentsAmount;
    @TableField(exist = false)
    private Integer minCount;

    public Integer getMinCount() {
        return minCount;
    }

    public void setMinCount(Integer minCount) {
        this.minCount = minCount;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public Long getProductionAmount() {
        return productionAmount;
    }

    public void setProductionAmount(Long productionAmount) {
        this.productionAmount = productionAmount;
    }

    public Long getShipmentsAmount() {
        return shipmentsAmount;
    }

    public void setShipmentsAmount(Long shipmentsAmount) {
        this.shipmentsAmount = shipmentsAmount;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCreateTimeRange() {
        return createTimeRange;
    }

    public void setCreateTimeRange(String createTimeRange) {
        this.createTimeRange = createTimeRange;
    }

    public Integer getIsStandard() {
        return isStandard;
    }

    public void setIsStandard(Integer isStandard) {
        this.isStandard = isStandard;
    }

    public Integer getFileType() {
        return fileType;
    }

    public void setFileType(Integer fileType) {
        this.fileType = fileType;
    }

    public Integer getIsFull() {
        return isFull;
    }

    public void setIsFull(Integer isFull) {
        this.isFull = isFull;
    }

    public Date getStartCreateTime() {
        return startCreateTime;
    }

    public void setStartCreateTime(Date startCreateTime) {
        this.startCreateTime = startCreateTime;
    }

    public Date getEndCreateTime() {
        return endCreateTime;
    }

    public void setEndCreateTime(Date endCreateTime) {
        this.endCreateTime = endCreateTime;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroupItemCode() {
        return groupItemCode;
    }

    public void setGroupItemCode(String groupItemCode) {
        this.groupItemCode = groupItemCode;
    }

    public String getBatchMarking() {
        return batchMarking;
    }

    public void setBatchMarking(String batchMarking) {
        this.batchMarking = batchMarking;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStandardNumber() {
        return standardNumber;
    }

    public void setStandardNumber(String standardNumber) {
        this.standardNumber = standardNumber;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getFinish() {
        return finish;
    }

    public void setFinish(String finish) {
        this.finish = finish;
    }

    public String getMaterials() {
        return materials;
    }

    public void setMaterials(String materials) {
        this.materials = materials;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getQrData() {
        return qrData;
    }

    public void setQrData(String qrData) {
        this.qrData = qrData;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Standard{" +
        "id=" + id +
        ", groupItemCode=" + groupItemCode +
        ", batchMarking=" + batchMarking +
        ", year=" + year +
        ", name=" + name +
        ", standardNumber=" + standardNumber +
        ", specification=" + specification +
        ", finish=" + finish +
        ", materials=" + materials +
        ", createTime=" + createTime +
        ", qrData=" + qrData +
        "}";
    }
}
