package com.qr.database.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qr.database.dao.FlowMapper;
import com.qr.database.model.Flow;
import com.qr.database.service.IFlowService;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * <p>
 * 二维码数据库审签流程表 服务实现类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-08
 */
@Service
public class FlowServiceImpl extends ServiceImpl<FlowMapper, Flow> implements IFlowService {

    @Override
    public List<Flow> getFlow(Long flowId) {
        return this.baseMapper.getFlow(flowId);
    }

    @Override
    public Map<String, Object> getFlowSelect(Long flowId) {
        HashMap<String, Object> stringObjectHashMap = new HashMap<>();
        LinkedHashMap<String, String> select = new LinkedHashMap();
        LinkedHashMap<String, Map<String, List<Flow>>> table = new LinkedHashMap();
        List<Flow> flow = getFlow(flowId);
        for (Flow f: flow) {
            String flowId1 = String.valueOf(f.getFlowId());
            select.put(flowId1, f.getFlowName());
            Map<String, List<Flow>> o = table.get(flowId1);
            String nodeName = f.getNodeName();
            if (o == null) {
                Map<String, List<Flow>> stringMapLinkedHashMap = new LinkedHashMap<>();
                table.put(flowId1,stringMapLinkedHashMap);
                List<Flow> stringObjectLinkedHashMap = new LinkedList<Flow>();
                stringMapLinkedHashMap.put(nodeName,stringObjectLinkedHashMap);
                stringObjectLinkedHashMap.add(f);
            } else {
                List<Flow> flows = o.get(nodeName);
                if (flows == null) {
                    flows = new LinkedList<Flow>();
                    o.put(nodeName,flows);
                }
                flows.add(f);
            }
        }
        stringObjectHashMap.put("select", select);
        stringObjectHashMap.put("table", table);
        return stringObjectHashMap;
    }

    public static void main(String[] args) {
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        linkedHashMap.put("qwe","123");
        linkedHashMap.put("qaz","edc");
        linkedHashMap.put("qwe","123");
        System.out.println(linkedHashMap);
    }
}
