package com.qr.database.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qr.database.config.GlobalConstant;
import com.qr.database.dao.StandardMapper;
import com.qr.database.model.Product;
import com.qr.database.model.Standard;
import com.qr.database.service.IStandardService;
import com.qr.database.utils.qr.ImgQrTool;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-07-02
 */
@Service
public class StandardServiceImpl extends ServiceImpl<StandardMapper, Standard> implements IStandardService {

    private static String prefix = "D>"+ GlobalConstant.RS+"21"+GlobalConstant.GS+"W";
    private static String suffix = GlobalConstant.RS+GlobalConstant.EOT;

    @Override
    public List<Standard> list(Page<Standard> page, Standard standard) {
        return this.baseMapper.list(page, standard);
    }

    @Override
    public boolean add(Standard next) {
        String groupItemCode = next.getGroupItemCode();
        if (StringUtils.isBlank(groupItemCode)) {
            return false;
        }
        Integer group_item_code = this.baseMapper.selectCount(new QueryWrapper<Standard>().eq("GROUP_ITEM_CODE", groupItemCode));
        if (group_item_code>=1) {
            return next.update(new UpdateWrapper<Standard>().eq("GROUP_ITEM_CODE", groupItemCode));
        }
        next.setQrData(ImgQrTool.createSimpleQr(prefix+ groupItemCode +suffix, 150,150));
        return next.insert();
    }

    @Override
    public List<Standard> listProduct(Page<Product> page, Standard standard) {
        return this.baseMapper.listProduct(page, standard);
    }
}
