package com.qr.database.tips;

import lombok.Data;

import java.io.Serializable;

@Data
public class ReturnResult implements Serializable {
    public static final int SUCCESS_STATUS = 200;
    public static final int DEFAULT_FAIL_STATUS = 400;
    public static final String SUCCESS_MSG = "success";

    private Integer code = 400;
    private String message = "客户端请求的参数错误";
    /**
     * 返回结果集
     */
    private Object data;

    public ReturnResult() {}

    public ReturnResult(Integer code, String message, Object data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public ReturnResult(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public static ReturnResult success(Object data) {
        return new ReturnResult(SUCCESS_STATUS, SUCCESS_MSG, data);
    }

    public static ReturnResult success() {
        return new ReturnResult(SUCCESS_STATUS, SUCCESS_MSG);
    }

    public static ReturnResult fail() {
        return new ReturnResult();
    }

    public static ReturnResult fail(String msg) {
        return new ReturnResult(DEFAULT_FAIL_STATUS, msg);
    }

    public static ReturnResult fail(Integer code, String msg) {
        return new ReturnResult(code, msg);
    }

    @Override
    public String toString() {
        return "{" +
                "\"code\":" + code +
                ", \"message\":\"" + message +
                "\", \"data\":\"" + data +
                "\"}";
    }
}
