package com.qr.database.tips.factory;


import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qr.database.utils.HttpKit;
import org.apache.commons.lang3.StringUtils;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

public class AppPageFactory<T> {

    public Page<T> defaultPage() {
        HttpServletRequest request = HttpKit.getRequest();
        String offset = request.getParameter("page");
        String limit = request.getParameter("pageSize");
        String sort = request.getParameter("sort");
        String order = request.getParameter("order");
        if (StringUtils.isBlank(sort)) {
            Page<T> page = new Page<>(StringUtils.isBlank(offset) ? 1:Integer.valueOf(offset), StringUtils.isBlank(limit) ? 15:Integer.valueOf(limit), true);
            return page;
        } else {
            Page<T> page = new Page<>(StringUtils.isBlank(offset) ? 1:Integer.valueOf(offset), StringUtils.isBlank(limit) ? 15:Integer.valueOf(limit), true);
            if ("asc".equalsIgnoreCase(order)) {
                ArrayList<OrderItem> objects = new ArrayList<>();
                objects.add(OrderItem.asc(sort));
                page.setOrders(objects);
            } else {
                ArrayList<OrderItem> objects = new ArrayList<>();
                objects.add(OrderItem.desc(sort));
                page.setOrders(objects);
            }
            return page;
        }
    }
}
