package com.qr.database.utils;

import cn.afterturn.easypoi.word.WordExportUtil;
import com.qr.database.config.properties.GlobalProperties;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Map;

public class DocumentUtil {
    private static final Logger log = LoggerFactory.getLogger(DocumentUtil.class);

    public static boolean export(Map<String, Object> map, String name) {
        Object fileName = map.get("fileName");
        if (fileName != null) {
            XWPFDocument xwpfDocument = null;
            FileOutputStream fileOutputStream = null;
            try {
                xwpfDocument = WordExportUtil.exportWord07(GlobalProperties.getFileUploadPath() + "export" + File.separator + name, map);
                if (xwpfDocument != null) {
                    fileOutputStream = new FileOutputStream(GlobalProperties.getFileUploadPath() + fileName);
                    xwpfDocument.write(fileOutputStream);
                    return true;
                }
            } catch (Exception e) {
                log.error(e.getMessage(), e);
            } finally {
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException e) {
                        log.error(e.getMessage(), e);
                    }
                }
                if (xwpfDocument != null) {
                    try {
                        xwpfDocument.close();
                    } catch (IOException e) {
                        log.error(e.getMessage(), e);
                    }
                }
            }
        }
        return false;
    }

}
